libstdc++

Classes | Enumerations | Functions
Futures
Concurrency
Collaboration diagram for Futures:

## Classes

class | std::future_error
| Exception type thrown by futures. More...
struct | std::is_error_code_enum< future_errc >
| Specialization. More...

## Enumerations

enum | std::future_errc
enum | std::future_status
enum | std::launch

## Functions

template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (launch __policy, _Fn &&__fn, _Args &&...__args)
template<typename _Fn , typename... _Args>
future< typename result_of < _Fn(_Args...)>::type > | std::async (_Fn &&__fn, _Args &&...__args)
const error_category & | std::future_category () noexcept
error_code | std::make_error_code (future_errc __errc) noexcept
error_condition | std::make_error_condition (future_errc __errc) noexcept
constexpr launch | std::operator& (launch __x, launch __y)
launch & | std::operator&= (launch &__x, launch __y)
constexpr launch | std::operator^ (launch __x, launch __y)
launch & | std::operator^= (launch &__x, launch __y)
constexpr launch | std::operator| (launch __x, launch __y)
launch & | std::operator|= (launch &__x, launch __y)
constexpr launch | std::operator~ (launch __x)

## Detailed Description

Classes for futures support.

## Enumeration Type Documentation

enum std::future_errc

Error code for futures.

Definition at line 63 of file future.

enum std::future_status

Status code for futures.

Definition at line 162 of file future.

enum std::launch

Launch code for futures.

Definition at line 125 of file future.

## Function Documentation

const error_category& std::future_category | ( |  | ) |

noexcept

Points to a statically-allocated object derived from error_category.

Referenced by std::make_error_code(), and std::make_error_condition().

error_code std::make_error_code | ( | future_errc | __errc | ) |

inline noexcept

Overload for make_error_code.

Definition at line 81 of file future.

References std::future_category().

error_condition std::make_error_condition | ( | future_errc | __errc | ) |

inline noexcept

Overload for make_error_condition.

Definition at line 86 of file future.

References std::future_category().